# Authentication, input and response

## IMG

<mark style="color:green;">`POST`</mark> `https://api.altum.ai/labelling/img`

This endpoint allows you to upload an image for labeling.

#### Headers

| Name                                        | Type   | Description                                                                  |
| ------------------------------------------- | ------ | ---------------------------------------------------------------------------- |
| x-api-key<mark style="color:red;">\*</mark> | string | Unique API Key from Altum. Create one via Mopsus (<https://mopsus.altum.ai>) |
| Content-Type                                | string | multipath/form-data                                                          |

#### Request Body

| Name                                    | Type   | Description                                                                         |
| --------------------------------------- | ------ | ----------------------------------------------------------------------------------- |
| image<mark style="color:red;">\*</mark> | object | The image to be sent in the request must be uploaded as a multipath/form-data type. |

{% tabs %}
{% tab title="422: Unprocessable Entity Wrong input format" %}

```
{
	"detail": [
		{
			"loc": [
				"body",
				"image"
			],
			"msg": "field required",
			"type": "value_error.missing"
		}
	]
}
```

{% endtab %}

{% tab title="401: Unauthorized No access" %}

```
{
    'Output': 'Please use https://api.altum.ai or visit https://mopsus.altum.ai to make your request.'
}
```

{% endtab %}

{% tab title="500: Internal Server Error Service is not available and/or down" %}

```
{
	"message": "Internal server error"
}
```

{% endtab %}

{% tab title="403: Forbidden Forbidden" %}

```
{
	"message": "Missing Authentication Token"
}
```

{% endtab %}

{% tab title="200: OK Successful response" %}

<pre><code>{
	"Output": {
		"Image_Class": "outdoor",
		"ConfidencePercent_Image_Class": "99.99",
		"Scene_Class1": "facade",
<strong>		"ConfidencePercent_Scene_Class1": "93.89"
</strong>	}
}

OR

{
	"Output": {
		"Image_Class": "outdoor",
		"ConfidencePercent_Image_Class": "100.0",
		"Scene_Class1": "balcony-garden",
		"ConfidencePercent_Scene_Class1": "36.92",
		"Scene_Class2": "facade",
		"ConfidencePercent_Scene_Class2": "59.15"
	}
}

OR

{
	"Output": {
		"Image_Class": "indoor",
		"ConfidencePercent_Image_Class": "100.0",
		"Room_Class": "bedroom",
		"ConfidencePercent_Room_Class": "99.22"
	}
}

OR

{
	"Output": {
		"Image_Class": "indoor",
		"ConfidencePercent_Image_Class": "99.9",
		"Room_Class": "other_room",
		"ConfidencePercent_Room_Class": "96.18",
		"Room_Subclass": "hall_corridor",
		"ConfidencePercent_Room_Subclass": "87.85"
	}
}
</code></pre>

{% endtab %}

{% tab title="400: Bad Request Unsuccessful response" %}

```
{
  "detail": "Please upload an image with one of the following formats: .jpg, .jpeg or .png"
}
```

{% endtab %}
{% endtabs %}

## URL

<mark style="color:green;">`POST`</mark> `https://api.altum.ai/labelling/url`

Instead of uploading the image file, this endpoint allows you to rather send the public URL of the image you want labelled.

#### Headers

| Name                                        | Type   | Description                                                          |
| ------------------------------------------- | ------ | -------------------------------------------------------------------- |
| Content-Type                                | string | application/json                                                     |
| x-api-key<mark style="color:red;">\*</mark> | string | API Key from Altum. Create one via Mopsus(<https://mopsus.altum.ai>) |

#### Request Body

| Name                                  | Type   | Description                                                 |
| ------------------------------------- | ------ | ----------------------------------------------------------- |
| url<mark style="color:red;">\*</mark> | string | The public URL of the image you wish to send int he request |

{% tabs %}
{% tab title="422: Unprocessable Entity Wrong input format" %}

```
{
	"detail": [
		{
			"loc": [
				"body",
				"image"
			],
			"msg": "field required",
			"type": "value_error.missing"
		}
	]
}
```

{% endtab %}

{% tab title="500: Internal Server Error Service is not available and/or down" %}

```
{
	"message": "Internal server error"
}
```

{% endtab %}

{% tab title="403: Forbidden Forbidden" %}

```
{
	"message": "Missing Authentication Token"
}
```

{% endtab %}

{% tab title="401: Unauthorized No access" %}

```
{
    'Output': 'Please use https://api.altum.ai or visit https://mopsus.altum.ai to make your request.'
}
```

{% endtab %}

{% tab title="200: OK Succesfull response" %}

```
{
	"Output": {
		"Image_Class": "outdoor",
		"ConfidencePercent_Image_Class": "99.99",
		"Scene_Class1": "facade",
		"ConfidencePercent_Scene_Class1": "93.89"
	}
}

OR

{
	"Output": {
		"Image_Class": "outdoor",
		"ConfidencePercent_Image_Class": "100.0",
		"Scene_Class1": "balcony-garden",
		"ConfidencePercent_Scene_Class1": "36.92",
		"Scene_Class2": "facade",
		"ConfidencePercent_Scene_Class2": "59.15"
	}
}

OR

{
	"Output": {
		"Image_Class": "indoor",
		"ConfidencePercent_Image_Class": "100.0",
		"Room_Class": "bedroom",
		"ConfidencePercent_Room_Class": "99.22"
	}
}

OR

{
	"Output": {
		"Image_Class": "indoor",
		"ConfidencePercent_Image_Class": "99.9",
		"Room_Class": "other_room",
		"ConfidencePercent_Room_Class": "96.18",
		"Room_Subclass": "hall_corridor",
		"ConfidencePercent_Room_Subclass": "87.85"
	}
}
```

{% endtab %}

{% tab title="400: Bad Request Unsuccesfull response" %}

```
{
  "detail": "The URL is not valid"
}
```

{% endtab %}
{% endtabs %}

## Request body

#### Example request

```
{"url":"https://cloud.funda.nl/valentina_media/149/998/977_1440x960.jpg"}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.altum.ai/english/property-valuation-and-market/photo-labelling-api/authentication-input-and-response.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
